Package org.eclipse.emf.cdo.security.impl

## Class ResourceFilterImpl.TreeMatcher

- java.lang.Object
- - org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher
  - - org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.TreeMatcher

- All Implemented Interfaces:
    `ResourceFilterImpl.Matcher`
  Enclosing class:
    ResourceFilterImpl

      protected static class ResourceFilterImpl.TreeMatcher
      extends ResourceFilterImpl.PathMatcher

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher

      `path`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeMatcher​(java.lang.String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PatternStyle` | `getParentPatternStyle()` |
    `boolean` | `matches​(java.lang.String revisionPath)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.security.impl.ResourceFilterImpl.PathMatcher

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeMatcher

          public TreeMatcher​(java.lang.String path)

  - ### Method Detail

    - #### matches

          public boolean matches​(java.lang.String revisionPath)

    - #### getParentPatternStyle

          public PatternStyle getParentPatternStyle()